unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, TeEngine, TeeOrgSeries, ExtCtrls, TeeProcs, Chart,TeeEdit,EditChar,
  TeeScroB, Grids, TeeChartGrid, Series;

type
  TForm1 = class(TForm)
    Chart2: TChart;
    Series1: TOrgSeries;
    Panel1: TPanel;
    Label1: TLabel;
    Button2: TButton;
    BtCreate: TButton;
    Button1: TButton;
    ChartScrollBar1: TChartScrollBar;
    procedure Button2Click(Sender: TObject);
    procedure BtCreateClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    procedure ChartOnMouseLeave(Sender: TObject);virtual;
    procedure ChartOnMouseEnter(Sender: TObject);virtual;

  end;
  // Org1:=TOrgSeries(Chart1.AddSeries(TOrgSeries.Create(self)));

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.BtCreateClick(Sender: TObject);
var i,j,n,x,Id:integer;
    Org:TOrgSeries;
    Item,SubItem:TOrgItem;
begin
if not (chart2.Series[0] is TOrgSeries) then exit;


   Org:= (chart2.Series[0] as TOrgSeries);
   Org.VertAxis := aLeftAxis ;
   Org.HorizAxis := aBottomAxis ;
   Org.OnMouseEnter := ChartOnMouseEnter;

   // Add cascade Node for exemple
   for I := 0 to 20 do begin
     n:=Org.Add(-1,'Node'+ inttostr(i),clLime) ;
     Id:=Org.Item[n].ID ;
     for j := 0 to 5  do
        n:= Org.Add(n,'SubNode'+ inttostr(j),clred) ;
        for x := 0 to 5  do
           Org.Add(n,'SubNode'+ inttostr(x),clBlue) ;

   end;
   Org.RecalcOptions:= [ rOnInsert ];      // rOnDelete, rOnModify,rOnClear
   chart2.Refresh;                         // test , but no result !!
   ChartScrollBar1.RecalcPosition;         // test , but no result !!

end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  EditChart(self,Chart2)
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  chart2.Series[0].FillSampleValues(10);

end;

procedure TForm1.ChartOnMouseEnter(Sender: TObject);
var  i,n:integer;
     s:string;
     tmp     : TOrgSeries;
begin
Try
if not (Sender is TOrgSeries) then exit;

     tmp:=Sender as TOrgSeries;  // Sender is the Series

     // Obtain point index under mouse cursor   ,  But with TOrgSeries is no possible ??
     i:=tmp.GetCursorValueIndex;

      //Recup de la date de dbut
     Label1.Caption:=  inttoStr((tmp as TOrgSeries).Items[i].ID);
     // recup de la serie

except
   on E:Exception do showmessage(e.message);
end;
end;

procedure TForm1.ChartOnMouseLeave(Sender: TObject);
begin

end;

end.
